org.hibernate.validator.internal.util.logging

## Class Log_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.hibernate.validator.internal.util.logging.Log_$logger

- All Implemented Interfaces:
    Serializable, Log, org.jboss.logging.BasicLogger

      @Generated(value="org.jboss.logging.processor.model.MessageLoggerImplementor",
                 date="2014-03-02T19:52:48+0100")
      public class Log_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements Serializable, Log, org.jboss.logging.BasicLogger

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log_$logger(org.jboss.logging.Logger log)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `errorInExpressionLanguage(String expression, Exception e)`
    `protected String` | `errorInExpressionLanguage$str()`
    `void` | `evaluatingExpressionLanguageExpressionCausedException(String expression, Exception e)`
    `protected String` | `evaluatingExpressionLanguageExpressionCausedException$str()`
    `ValidationException` | `getAnnotationDoesNotContainAParameterException(String annotationClassName, String parameterName)`
    `protected String` | `getAnnotationDoesNotContainAParameterException$str()`
    `ValidationException` | `getAtLeastOneCustomMessageMustBeCreatedException()`
    `protected String` | `getAtLeastOneCustomMessageMustBeCreatedException$str()`
    `IllegalArgumentException` | `getAtLeastOneGroupHasToBeSpecifiedException()`
    `protected String` | `getAtLeastOneGroupHasToBeSpecifiedException$str()`
    `ValidationException` | `getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException()`
    `protected String` | `getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException$str()`
    `ValidationException` | `getBeanClassHasAlreadyBeConfiguredInXmlException(String beanClassName)`
    `protected String` | `getBeanClassHasAlreadyBeConfiguredInXmlException$str()`
    `ValidationException` | `getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName)`
    `protected String` | `getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `GroupDefinitionException` | `getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException(String beanClassName)`
    `protected String` | `getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException$str()`
    `ValidationException` | `getBeanDoesNotContainConstructorException(String beanClassName, String parameterTypes)`
    `protected String` | `getBeanDoesNotContainConstructorException$str()`
    `ValidationException` | `getBeanDoesNotContainMethodException(String beanClassName, String methodName, List parameterTypes)`
    `protected String` | `getBeanDoesNotContainMethodException$str()`
    `ValidationException` | `getBeanDoesNotContainTheFieldException(String beanClassName, String fieldName)`
    `protected String` | `getBeanDoesNotContainTheFieldException$str()`
    `ValidationException` | `getBeanDoesNotContainThePropertyException(String beanClassName, String getterName)`
    `protected String` | `getBeanDoesNotContainThePropertyException$str()`
    `NumberFormatException` | `getCharacterIsNotADigitException(char c)`
    `protected String` | `getCharacterIsNotADigitException$str()`
    `ConstraintDefinitionException` | `getComposedAndComposingConstraintsHaveDifferentTypesException(String composedConstraintTypeName, String composingConstraintTypeName, ConstraintDescriptorImpl.ConstraintType composedConstraintType, ConstraintDescriptorImpl.ConstraintType composingConstraintType)`
    `protected String` | `getComposedAndComposingConstraintsHaveDifferentTypesException$str()`
    `ValidationException` | `getConstrainedElementConfiguredMultipleTimesException(String location)`
    `protected String` | `getConstrainedElementConfiguredMultipleTimesException$str()`
    `ValidationException` | `getConstraintFactoryMustNotReturnNullException(String validatorClassName)`
    `protected String` | `getConstraintFactoryMustNotReturnNullException$str()`
    `ConstraintDefinitionException` | `getConstraintParametersCannotStartWithValidException()`
    `protected String` | `getConstraintParametersCannotStartWithValidException$str()`
    `ConstraintDefinitionException` | `getConstraintWithoutMandatoryParameterException(String parameterName, String constraintName)`
    `protected String` | `getConstraintWithoutMandatoryParameterException$str()`
    `ValidationException` | `getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String constructor)`
    `protected String` | `getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `ValidationException` | `getConstructorIsDefinedTwiceInMappingXmlForBeanException(String name, String beanClassName)`
    `protected String` | `getConstructorIsDefinedTwiceInMappingXmlForBeanException$str()`
    `ConstraintDeclarationException` | `getCreationOfScriptExecutorFailedException(String languageName, Exception e)`
    `protected String` | `getCreationOfScriptExecutorFailedException$str()`
    `ConstraintDefinitionException` | `getCrossParameterConstraintHasNoValidatorException(String constraint)`
    `protected String` | `getCrossParameterConstraintHasNoValidatorException$str()`
    `ConstraintDeclarationException` | `getCrossParameterConstraintOnClassException(String constraint)`
    `protected String` | `getCrossParameterConstraintOnClassException$str()`
    `ConstraintDeclarationException` | `getCrossParameterConstraintOnFieldException(String constraint, String field)`
    `protected String` | `getCrossParameterConstraintOnFieldException$str()`
    `ConstraintDeclarationException` | `getCrossParameterConstraintOnMethodWithoutParametersException(String constraint, String member)`
    `protected String` | `getCrossParameterConstraintOnMethodWithoutParametersException$str()`
    `ValidationException` | `getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String executable)`
    `protected String` | `getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `GroupDefinitionException` | `getCyclicDependencyInGroupsDefinitionException()`
    `protected String` | `getCyclicDependencyInGroupsDefinitionException$str()`
    `IllegalArgumentException` | `getElementTypeHasToBeFieldOrMethodException()`
    `protected String` | `getElementTypeHasToBeFieldOrMethodException$str()`
    `IllegalArgumentException` | `getEndIndexCannotBeNegativeException(int endIndex)`
    `protected String` | `getEndIndexCannotBeNegativeException$str()`
    `ValidationException` | `getErrorDuringCallOfTraversableResolverIsCascadableException(RuntimeException e)`
    `protected String` | `getErrorDuringCallOfTraversableResolverIsCascadableException$str()`
    `ValidationException` | `getErrorDuringCallOfTraversableResolverIsReachableException(RuntimeException e)`
    `protected String` | `getErrorDuringCallOfTraversableResolverIsReachableException$str()`
    `ConstraintDeclarationException` | `getErrorDuringScriptExecutionException(String script, Exception e)`
    `protected String` | `getErrorDuringScriptExecutionException$str()`
    `ValidationException` | `getErrorParsingMappingFileException(JAXBException e)`
    `protected String` | `getErrorParsingMappingFileException$str()`
    `ValidationException` | `getExceptionDuringIsValidCallException(RuntimeException e)`
    `protected String` | `getExceptionDuringIsValidCallException$str()`
    `ValidationException` | `getExceptionOccurredDuringMessageInterpolationException(Exception e)`
    `protected String` | `getExceptionOccurredDuringMessageInterpolationException$str()`
    `ConstraintDefinitionException` | `getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException(String constraint)`
    `protected String` | `getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException$str()`
    `ConstraintDeclarationException` | `getGroupConversionForSequenceException(Class from)`
    `protected String` | `getGroupConversionForSequenceException$str()`
    `ConstraintDeclarationException` | `getGroupConversionOnNonCascadingElementException(String location)`
    `protected String` | `getGroupConversionOnNonCascadingElementException$str()`
    `ValidationException` | `getGroupHasToBeAnInterfaceException(String className)`
    `protected String` | `getGroupHasToBeAnInterfaceException$str()`
    `IllegalArgumentException` | `getHasToBeABoxedTypeException(Class clazz)`
    `protected String` | `getHasToBeABoxedTypeException$str()`
    `IllegalArgumentException` | `getHasToBeAPrimitiveTypeException(Class clazz)`
    `protected String` | `getHasToBeAPrimitiveTypeException$str()`
    `IllegalArgumentException` | `getIllegalArgumentException(String message)`
    `protected String` | `getIllegalArgumentException$str()`
    `ConstraintDeclarationException` | `getImplicitConstraintTargetInAmbiguousConfigurationException(String constraint)`
    `protected String` | `getImplicitConstraintTargetInAmbiguousConfigurationException$str()`
    `ValidationException` | `getInconsistentConfigurationException()`
    `protected String` | `getInconsistentConfigurationException$str()`
    `ValidationException` | `getInconsistentFailFastConfigurationException()`
    `protected String` | `getInconsistentFailFastConfigurationException$str()`
    `IllegalArgumentException` | `getInvalidBigDecimalFormatException(String value, NumberFormatException e)`
    `protected String` | `getInvalidBigDecimalFormatException$str()`
    `ValidationException` | `getInvalidCharValueException(String value)`
    `protected String` | `getInvalidCharValueException$str()`
    `IllegalArgumentException` | `getInvalidCheckDigitException(int startIndex, int endIndex)`
    `protected String` | `getInvalidCheckDigitException$str()`
    `GroupDefinitionException` | `getInvalidDefaultGroupSequenceDefinitionException()`
    `protected String` | `getInvalidDefaultGroupSequenceDefinitionException$str()`
    `IllegalArgumentException` | `getInvalidExecutableParameterIndexException(String executable, int index)`
    `protected String` | `getInvalidExecutableParameterIndexException$str()`
    `ValidationException` | `getInvalidFormatException(String message, IllegalFormatException e)`
    `protected String` | `getInvalidFormatException$str()`
    `IndexOutOfBoundsException` | `getInvalidIndexException(String lowerBound, String upperBound)`
    `protected String` | `getInvalidIndexException$str()`
    `IllegalArgumentException` | `getInvalidJavaIdentifierException(String identifier)`
    `protected String` | `getInvalidJavaIdentifierException$str()`
    `IllegalArgumentException` | `getInvalidLengthForFractionPartException()`
    `protected String` | `getInvalidLengthForFractionPartException$str()`
    `IllegalArgumentException` | `getInvalidLengthForIntegerPartException()`
    `protected String` | `getInvalidLengthForIntegerPartException$str()`
    `IllegalArgumentException` | `getInvalidLengthOfParameterMetaDataListException(String executableName, int nbParameters, int listSize)`
    `protected String` | `getInvalidLengthOfParameterMetaDataListException$str()`
    `ValidationException` | `getInvalidNumberFormatException(String formatName, NumberFormatException e)`
    `protected String` | `getInvalidNumberFormatException$str()`
    `IllegalArgumentException` | `getInvalidParameterCountForExecutableException(String executable, int expectedParameterCount, int actualParameterCount)`
    `protected String` | `getInvalidParameterCountForExecutableException$str()`
    `ValidationException` | `getInvalidParameterTypeException(String type, String beanClassName)`
    `protected String` | `getInvalidParameterTypeException$str()`
    `IllegalArgumentException` | `getInvalidPropertyPathException()`
    `IllegalArgumentException` | `getInvalidPropertyPathException(String propertyName, String beanClassName)`
    `protected String` | `getInvalidPropertyPathException0$str()`
    `protected String` | `getInvalidPropertyPathException2$str()`
    `IllegalArgumentException` | `getInvalidRangeException(int startIndex, int endIndex)`
    `protected String` | `getInvalidRangeException$str()`
    `IllegalArgumentException` | `getInvalidRegularExpressionException(PatternSyntaxException e)`
    `protected String` | `getInvalidRegularExpressionException$str()`
    `ValidationException` | `getInvalidReturnTypeException(Class returnType, ClassCastException e)`
    `protected String` | `getInvalidReturnTypeException$str()`
    `ValidationException` | `getIsDefinedTwiceInMappingXmlForBeanException(String name, String beanClassName)`
    `protected String` | `getIsDefinedTwiceInMappingXmlForBeanException$str()`
    `ValidationException` | `getIsNotAConstraintValidatorClassException(Class validatorClass)`
    `protected String` | `getIsNotAConstraintValidatorClassException$str()`
    `ValidationException` | `getIsNotAnAnnotationException(String annotationClassName)`
    `protected String` | `getIsNotAnAnnotationException$str()`
    `IllegalArgumentException` | `getLengthCannotBeNegativeException()`
    `protected String` | `getLengthCannotBeNegativeException$str()`
    `IllegalArgumentException` | `getMaxCannotBeNegativeException()`
    `protected String` | `getMaxCannotBeNegativeException$str()`
    `IllegalArgumentException` | `getMemberIsNeitherAFieldNorAMethodException(Member member)`
    `protected String` | `getMemberIsNeitherAFieldNorAMethodException$str()`
    `ValidationException` | `getMethodHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String method)`
    `protected String` | `getMethodHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `ValidationException` | `getMethodIsDefinedTwiceInMappingXmlForBeanException(String name, String beanClassName)`
    `protected String` | `getMethodIsDefinedTwiceInMappingXmlForBeanException$str()`
    `IllegalArgumentException` | `getMethodOrConstructorNotDefinedByValidatedTypeException(String validatedTypeName, Member member)`
    `protected String` | `getMethodOrConstructorNotDefinedByValidatedTypeException$str()`
    `ConstraintDeclarationException` | `getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException(Member member1, Member member2)`
    `protected String` | `getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException$str()`
    `ConstraintDeclarationException` | `getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException(Member method1, Member method2)`
    `protected String` | `getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException$str()`
    `IllegalArgumentException` | `getMinCannotBeNegativeException()`
    `protected String` | `getMinCannotBeNegativeException$str()`
    `IllegalArgumentException` | `getMissingActualTypeArgumentForTypeParameterException(TypeVariable typeParameter)`
    `protected String` | `getMissingActualTypeArgumentForTypeParameterException$str()`
    `ValidationException` | `getMissingELDependenciesException()`
    `protected String` | `getMissingELDependenciesException$str()`
    `ValidationException` | `getMissingFormatStringInTemplateException(String expression)`
    `protected String` | `getMissingFormatStringInTemplateException$str()`
    `IllegalArgumentException` | `getMixingImplicitWithOtherExecutableTypesException()`
    `protected String` | `getMixingImplicitWithOtherExecutableTypesException$str()`
    `UnexpectedTypeException` | `getMoreThanOneValidatorFoundForTypeException(Type type, String validatorClasses)`
    `protected String` | `getMoreThanOneValidatorFoundForTypeException$str()`
    `ConstraintDefinitionException` | `getMultipleCrossParameterValidatorClassesException(String constraint)`
    `protected String` | `getMultipleCrossParameterValidatorClassesException$str()`
    `ConstraintDeclarationException` | `getMultipleGroupConversionsForSameSourceException(Class from, Set tos)`
    `protected String` | `getMultipleGroupConversionsForSameSourceException$str()`
    `UnexpectedTypeException` | `getMultipleValidatorsForSameTypeException(String constraint, String type)`
    `protected String` | `getMultipleValidatorsForSameTypeException$str()`
    `IllegalArgumentException` | `getMultiplierCannotBeNegativeException(int multiplier)`
    `protected String` | `getMultiplierCannotBeNegativeException$str()`
    `MessageDescriptorFormatException` | `getNestedParameterException(String messageDescriptor)`
    `protected String` | `getNestedParameterException$str()`
    `GroupDefinitionException` | `getNoDefaultGroupInGroupSequenceException()`
    `protected String` | `getNoDefaultGroupInGroupSequenceException$str()`
    `MessageDescriptorFormatException` | `getNonTerminatedParameterException(String messageDescriptor, char character)`
    `protected String` | `getNonTerminatedParameterException$str()`
    `ValidationException` | `getNoUnwrapperFoundForTypeException(String typeName)`
    `protected String` | `getNoUnwrapperFoundForTypeException$str()`
    `UnexpectedTypeException` | `getNoValidatorFoundForTypeException(String className)`
    `protected String` | `getNoValidatorFoundForTypeException$str()`
    `IllegalArgumentException` | `getNoValueProvidedForAnnotationParameterException(String parameterName, String annotation)`
    `protected String` | `getNoValueProvidedForAnnotationParameterException$str()`
    `ValidationException` | `getNullIsAnInvalidTypeForAConstraintValidatorException()`
    `protected String` | `getNullIsAnInvalidTypeForAConstraintValidatorException$str()`
    `ConstraintDefinitionException` | `getOverriddenConstraintAttributeNotFoundException(String attributeName)`
    `protected String` | `getOverriddenConstraintAttributeNotFoundException$str()`
    `ValidationException` | `getOverridingConstraintDefinitionsInMultipleMappingFilesException(String constraintClass)`
    `protected String` | `getOverridingConstraintDefinitionsInMultipleMappingFilesException$str()`
    `ConstraintDeclarationException` | `getParameterConfigurationAlteredInSubTypeException(Member superMethod, Member subMethod)`
    `protected String` | `getParameterConfigurationAlteredInSubTypeException$str()`
    `ConstraintDeclarationException` | `getParameterConstraintsDefinedInMethodsFromParallelTypesException(Member method1, Member method2)`
    `protected String` | `getParameterConstraintsDefinedInMethodsFromParallelTypesException$str()`
    `ValidationException` | `getParameterHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String executable, int parameterIndex)`
    `protected String` | `getParameterHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `IllegalStateException` | `getParameterNodeAddedForNonCrossParameterConstraintException(Path path)`
    `protected String` | `getParameterNodeAddedForNonCrossParameterConstraintException$str()`
    `ConstraintDeclarationException` | `getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException(String constraint, ConstraintTarget target)`
    `protected String` | `getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException$str()`
    `IllegalArgumentException` | `getParameterTypesDoNotMatchException(String actualType, String expectedType, int index, Member member)`
    `protected String` | `getParameterTypesDoNotMatchException$str()`
    `ValidationException` | `getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String propertyName)`
    `protected String` | `getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `IllegalArgumentException` | `getPropertyNameCannotBeNullOrEmptyException()`
    `protected String` | `getPropertyNameCannotBeNullOrEmptyException$str()`
    `IllegalArgumentException` | `getPropertyPathMustProvideIndexOrMapKeyException()`
    `protected String` | `getPropertyPathMustProvideIndexOrMapKeyException$str()`
    `ValidationException` | `getReservedParameterNamesException(String messageParameterName, String groupsParameterName, String payloadParameterName)`
    `protected String` | `getReservedParameterNamesException$str()`
    `ValidationException` | `getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName, String executable)`
    `protected String` | `getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException$str()`
    `ConstraintDeclarationException` | `getScriptMustReturnTrueOrFalseException(String script)`
    `ConstraintDeclarationException` | `getScriptMustReturnTrueOrFalseException(String script, Object executionResult, String type)`
    `protected String` | `getScriptMustReturnTrueOrFalseException1$str()`
    `protected String` | `getScriptMustReturnTrueOrFalseException3$str()`
    `GroupDefinitionException` | `getSequenceDefinitionsNotAllowedException()`
    `protected String` | `getSequenceDefinitionsNotAllowedException$str()`
    `IllegalArgumentException` | `getStartIndexCannotBeNegativeException(int startIndex)`
    `protected String` | `getStartIndexCannotBeNegativeException$str()`
    `IllegalArgumentException` | `getTreatCheckAsIsNotADigitNorALetterException(int weight)`
    `protected String` | `getTreatCheckAsIsNotADigitNorALetterException$str()`
    `RuntimeException` | `getTryingToInstantiateAnnotationWithUnknownParametersException(Class annotationType, Set unknownParameters)`
    `protected String` | `getTryingToInstantiateAnnotationWithUnknownParametersException$str()`
    `ValidationException` | `getTypeNotSupportedForUnwrappingException(Class type)`
    `protected String` | `getTypeNotSupportedForUnwrappingException$str()`
    `ValidationException` | `getUnableToAccessMemberException(String memberName, Exception e)`
    `protected String` | `getUnableToAccessMemberException$str()`
    `ValidationException` | `getUnableToCreateAnnotationForConfiguredConstraintException(RuntimeException e)`
    `protected String` | `getUnableToCreateAnnotationForConfiguredConstraintException$str()`
    `ValidationException` | `getUnableToDetermineSchemaVersionException(String file, XMLStreamException e)`
    `protected String` | `getUnableToDetermineSchemaVersionException$str()`
    `GroupDefinitionException` | `getUnableToExpandDefaultGroupListException(List defaultGroupList, List groupList)`
    `protected String` | `getUnableToExpandDefaultGroupListException$str()`
    `GroupDefinitionException` | `getUnableToExpandGroupSequenceException()`
    `protected String` | `getUnableToExpandGroupSequenceException$str()`
    `ValidationException` | `getUnableToFindAnnotationConstraintsException(Class annotationClass)`
    `protected String` | `getUnableToFindAnnotationConstraintsException$str()`
    `ValidationException` | `getUnableToFindAnnotationParameterException(String parameterName, NoSuchMethodException e)`
    `protected String` | `getUnableToFindAnnotationParameterException$str()`
    `IllegalArgumentException` | `getUnableToFindMethodException(Class beanClass, String method)`
    `protected String` | `getUnableToFindMethodException$str()`
    `ValidationException` | `getUnableToFindPropertyWithAccessException(Class beanClass, String property, ElementType elementType)`
    `protected String` | `getUnableToFindPropertyWithAccessException$str()`
    `ValidationException` | `getUnableToFindProviderException(Class providerClass)`
    `protected String` | `getUnableToFindProviderException$str()`
    `ValidationException` | `getUnableToGetAnnotationParameterException(String parameterName, String annotationName, Exception e)`
    `protected String` | `getUnableToGetAnnotationParameterException$str()`
    `ValidationException` | `getUnableToInitializeConstraintValidatorException(String validatorClassName, RuntimeException e)`
    `protected String` | `getUnableToInitializeConstraintValidatorException$str()`
    `ValidationException` | `getUnableToInstantiateConstraintFactoryClassException(String constraintFactoryClassName, ValidationException e)`
    `protected String` | `getUnableToInstantiateConstraintFactoryClassException$str()`
    `ValidationException` | `getUnableToInstantiateException(Class clazz, Exception e)`
    `ValidationException` | `getUnableToInstantiateException(String message, Class clazz, Exception e)`
    `ValidationException` | `getUnableToInstantiateException(String className, Exception e)`
    `protected String` | `getUnableToInstantiateException1$str()`
    `protected String` | `getUnableToInstantiateException2$str()`
    `ValidationException` | `getUnableToInstantiateMessageInterpolatorClassException(String messageInterpolatorClassName, Exception e)`
    `protected String` | `getUnableToInstantiateMessageInterpolatorClassException$str()`
    `ValidationException` | `getUnableToInstantiateParameterNameProviderClassException(String parameterNameProviderClassName, ValidationException e)`
    `protected String` | `getUnableToInstantiateParameterNameProviderClassException$str()`
    `ValidationException` | `getUnableToInstantiateTraversableResolverClassException(String traversableResolverClassName, Exception e)`
    `protected String` | `getUnableToInstantiateTraversableResolverClassException$str()`
    `ValidationException` | `getUnableToInstantiateValidationProviderClassException(String providerClassName, Exception e)`
    `protected String` | `getUnableToInstantiateValidationProviderClassException$str()`
    `ValidationException` | `getUnableToLoadClassException(String className)`
    `ValidationException` | `getUnableToLoadClassException(String className, Exception e)`
    `protected String` | `getUnableToLoadClassException$str()`
    `ValidationException` | `getUnableToLoadConstraintAnnotationClassException(String constraintAnnotationClass, Exception e)`
    `protected String` | `getUnableToLoadConstraintAnnotationClassException$str()`
    `ClassCastException` | `getUnableToNarrowNodeTypeException(String actualDescriptorType, ElementKind kind, String expectedDescriptorType)`
    `protected String` | `getUnableToNarrowNodeTypeException$str()`
    `ValidationException` | `getUnableToOpenInputStreamForMappingFileException(String mappingFileName)`
    `protected String` | `getUnableToOpenInputStreamForMappingFileException$str()`
    `IllegalArgumentException` | `getUnableToParsePropertyPathException(String propertyPath)`
    `protected String` | `getUnableToParsePropertyPathException$str()`
    `ValidationException` | `getUnableToParseValidationXmlFileException(String file, JAXBException e)`
    `protected String` | `getUnableToParseValidationXmlFileException$str()`
    `ValidationException` | `getUnableToResetXmlInputStreamException(String file, IOException e)`
    `protected String` | `getUnableToResetXmlInputStreamException$str()`
    `ValidationException` | `getUnableToRetrieveAnnotationParameterValueException(Exception e)`
    `protected String` | `getUnableToRetrieveAnnotationParameterValueException$str()`
    `ValidationException` | `getUnexpectedParameterValueException()`
    `ValidationException` | `getUnexpectedParameterValueException(ClassCastException e)`
    `protected String` | `getUnexpectedParameterValueException$str()`
    `ValidationException` | `getUnsupportedSchemaVersionException(String file, String version)`
    `protected String` | `getUnsupportedSchemaVersionException$str()`
    `ValidationException` | `getValidateOnExecutionOnOverriddenOrInterfaceMethodException(Method m)`
    `protected String` | `getValidateOnExecutionOnOverriddenOrInterfaceMethodException$str()`
    `ConstraintDefinitionException` | `getValidationAppliesToParameterMustHaveDefaultValueImplicitException(String constraint)`
    `protected String` | `getValidationAppliesToParameterMustHaveDefaultValueImplicitException$str()`
    `ConstraintDefinitionException` | `getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException(String constraint)`
    `protected String` | `getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException$str()`
    `ConstraintDefinitionException` | `getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException(String constraint)`
    `protected String` | `getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException$str()`
    `ConstraintDefinitionException` | `getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException(String constraint)`
    `protected String` | `getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException$str()`
    `ConstraintDeclarationException` | `getVoidMethodsMustNotBeConstrainedException(Member member)`
    `protected String` | `getVoidMethodsMustNotBeConstrainedException$str()`
    `IllegalArgumentException` | `getWeightCannotBeNegativeException(int weight)`
    `protected String` | `getWeightCannotBeNegativeException$str()`
    `ConstraintDefinitionException` | `getWrongAttributeTypeForOverriddenConstraintException(String expectedReturnType, Class currentReturnType)`
    `protected String` | `getWrongAttributeTypeForOverriddenConstraintException$str()`
    `GroupDefinitionException` | `getWrongDefaultGroupSequenceProviderTypeException(String beanClassName)`
    `protected String` | `getWrongDefaultGroupSequenceProviderTypeException$str()`
    `ConstraintDefinitionException` | `getWrongDefaultValueForGroupsParameterException(String constraintName)`
    `protected String` | `getWrongDefaultValueForGroupsParameterException$str()`
    `ConstraintDefinitionException` | `getWrongDefaultValueForPayloadParameterException(String constraintName)`
    `protected String` | `getWrongDefaultValueForPayloadParameterException$str()`
    `ValidationException` | `getWrongParameterTypeException(String expectedType, String currentType)`
    `protected String` | `getWrongParameterTypeException$str()`
    `ValidationException` | `getWrongPayloadClassException(String payloadClassName)`
    `protected String` | `getWrongPayloadClassException$str()`
    `ConstraintDefinitionException` | `getWrongTypeForGroupsParameterException(String constraintName, ClassCastException e)`
    `protected String` | `getWrongTypeForGroupsParameterException$str()`
    `ConstraintDefinitionException` | `getWrongTypeForMessageParameterException(String constraintName)`
    `protected String` | `getWrongTypeForMessageParameterException$str()`
    `ConstraintDefinitionException` | `getWrongTypeForPayloadParameterException(String constraintName, ClassCastException e)`
    `protected String` | `getWrongTypeForPayloadParameterException$str()`
    `void` | `ignoringXmlConfiguration()`
    `protected String` | `ignoringXmlConfiguration$str()`
    `void` | `parsingXMLFile(String fileName)`
    `protected String` | `parsingXMLFile$str()`
    `void` | `unableToCloseInputStream()`
    `protected String` | `unableToCloseInputStream$str()`
    `void` | `unableToCloseXMLFileInputStream(String fileName)`
    `protected String` | `unableToCloseXMLFileInputStream$str()`
    `void` | `unableToCreateSchema(String fileName, String message)`
    `protected String` | `unableToCreateSchema$str()`
    `void` | `unknownPropertyInExpressionLanguage(String expression, Exception e)`
    `protected String` | `unknownPropertyInExpressionLanguage$str()`
    `void` | `usingConstraintFactory(String constraintFactoryClassName)`
    `protected String` | `usingConstraintFactory$str()`
    `void` | `usingMessageInterpolator(String messageInterpolatorClassName)`
    `protected String` | `usingMessageInterpolator$str()`
    `void` | `usingParameterNameProvider(String parameterNameProviderClassName)`
    `protected String` | `usingParameterNameProvider$str()`
    `void` | `usingTraversableResolver(String traversableResolverClassName)`
    `protected String` | `usingTraversableResolver$str()`
    `void` | `usingValidationProvider(String validationProviderClassName)`
    `protected String` | `usingValidationProvider$str()`
    `void` | `version(String version)`
    `protected String` | `version$str()`

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### Log_$logger

          public Log_$logger(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getCharacterIsNotADigitException

          public final NumberFormatException getCharacterIsNotADigitException(char c)

      Specified by:
        `getCharacterIsNotADigitException` in interface `Log`

    - #### getCharacterIsNotADigitException$str

          protected String getCharacterIsNotADigitException$str()

    - #### getInvalidParameterTypeException

          public final ValidationException getInvalidParameterTypeException(String type,
                                                             String beanClassName)

      Specified by:
        `getInvalidParameterTypeException` in interface `Log`

    - #### getInvalidParameterTypeException$str

          protected String getInvalidParameterTypeException$str()

    - #### getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException

          public final ValidationException getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException()

      Specified by:
        `getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException` in interface `Log`

    - #### getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException$str

          protected String getAttemptToSpecifyAnArrayWhereSingleValueIsExpectedException$str()

    - #### getParameterConfigurationAlteredInSubTypeException

          public final ConstraintDeclarationException getParameterConfigurationAlteredInSubTypeException(Member superMethod,
                                                                                          Member subMethod)

      Specified by:
        `getParameterConfigurationAlteredInSubTypeException` in interface `Log`

    - #### getParameterConfigurationAlteredInSubTypeException$str

          protected String getParameterConfigurationAlteredInSubTypeException$str()

    - #### getMixingImplicitWithOtherExecutableTypesException

          public final IllegalArgumentException getMixingImplicitWithOtherExecutableTypesException()

      Specified by:
        `getMixingImplicitWithOtherExecutableTypesException` in interface `Log`

    - #### getMixingImplicitWithOtherExecutableTypesException$str

          protected String getMixingImplicitWithOtherExecutableTypesException$str()

    - #### unableToCloseInputStream

          public final void unableToCloseInputStream()

      Specified by:
        `unableToCloseInputStream` in interface `Log`

    - #### unableToCloseInputStream$str

          protected String unableToCloseInputStream$str()

    - #### getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException

          public final ConstraintDefinitionException getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException(String constraint)

      Specified by:
        `getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException` in interface `Log`

    - #### getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException$str

          protected String getValidatorForCrossParameterConstraintMustEitherValidateObjectOrObjectArrayException$str()

    - #### getInvalidCharValueException

          public final ValidationException getInvalidCharValueException(String value)

      Specified by:
        `getInvalidCharValueException` in interface `Log`

    - #### getInvalidCharValueException$str

          protected String getInvalidCharValueException$str()

    - #### getCrossParameterConstraintOnClassException

          public final ConstraintDeclarationException getCrossParameterConstraintOnClassException(String constraint)

      Specified by:
        `getCrossParameterConstraintOnClassException` in interface `Log`

    - #### getCrossParameterConstraintOnClassException$str

          protected String getCrossParameterConstraintOnClassException$str()

    - #### getCrossParameterConstraintOnFieldException

          public final ConstraintDeclarationException getCrossParameterConstraintOnFieldException(String constraint,
                                                                                   String field)

      Specified by:
        `getCrossParameterConstraintOnFieldException` in interface `Log`

    - #### getCrossParameterConstraintOnFieldException$str

          protected String getCrossParameterConstraintOnFieldException$str()

    - #### getMissingELDependenciesException

          public final ValidationException getMissingELDependenciesException()

      Specified by:
        `getMissingELDependenciesException` in interface `Log`

    - #### getMissingELDependenciesException$str

          protected String getMissingELDependenciesException$str()

    - #### getPropertyNameCannotBeNullOrEmptyException

          public final IllegalArgumentException getPropertyNameCannotBeNullOrEmptyException()

      Specified by:
        `getPropertyNameCannotBeNullOrEmptyException` in interface `Log`

    - #### getPropertyNameCannotBeNullOrEmptyException$str

          protected String getPropertyNameCannotBeNullOrEmptyException$str()

    - #### getUnableToInstantiateParameterNameProviderClassException

          public final ValidationException getUnableToInstantiateParameterNameProviderClassException(String parameterNameProviderClassName,
                                                                                      ValidationException e)

      Specified by:
        `getUnableToInstantiateParameterNameProviderClassException` in interface `Log`

    - #### getUnableToInstantiateParameterNameProviderClassException$str

          protected String getUnableToInstantiateParameterNameProviderClassException$str()

    - #### getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName)

      Specified by:
        `getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getBeanClassHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### errorInExpressionLanguage

          public final void errorInExpressionLanguage(String expression,
                                       Exception e)

      Specified by:
        `errorInExpressionLanguage` in interface `Log`

    - #### errorInExpressionLanguage$str

          protected String errorInExpressionLanguage$str()

    - #### getErrorDuringCallOfTraversableResolverIsCascadableException

          public final ValidationException getErrorDuringCallOfTraversableResolverIsCascadableException(RuntimeException e)

      Specified by:
        `getErrorDuringCallOfTraversableResolverIsCascadableException` in interface `Log`

    - #### getErrorDuringCallOfTraversableResolverIsCascadableException$str

          protected String getErrorDuringCallOfTraversableResolverIsCascadableException$str()

    - #### getUnableToGetAnnotationParameterException

          public final ValidationException getUnableToGetAnnotationParameterException(String parameterName,
                                                                       String annotationName,
                                                                       Exception e)

      Specified by:
        `getUnableToGetAnnotationParameterException` in interface `Log`

    - #### getUnableToGetAnnotationParameterException$str

          protected String getUnableToGetAnnotationParameterException$str()

    - #### getMultipleGroupConversionsForSameSourceException

          public final ConstraintDeclarationException getMultipleGroupConversionsForSameSourceException(Class from,
                                                                                         Set tos)

      Specified by:
        `getMultipleGroupConversionsForSameSourceException` in interface `Log`

    - #### getMultipleGroupConversionsForSameSourceException$str

          protected String getMultipleGroupConversionsForSameSourceException$str()

    - #### getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException

          public final ConstraintDeclarationException getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException(Member member1,
                                                                                                                     Member member2)

      Specified by:
        `getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException` in interface `Log`

    - #### getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException$str

          protected String getMethodReturnValueMustNotBeMarkedMoreThanOnceForCascadedValidationException$str()

    - #### getUnableToResetXmlInputStreamException

          public final ValidationException getUnableToResetXmlInputStreamException(String file,
                                                                    IOException e)

      Specified by:
        `getUnableToResetXmlInputStreamException` in interface `Log`

    - #### getUnableToResetXmlInputStreamException$str

          protected String getUnableToResetXmlInputStreamException$str()

    - #### getBeanDoesNotContainMethodException

          public final ValidationException getBeanDoesNotContainMethodException(String beanClassName,
                                                                 String methodName,
                                                                 List parameterTypes)

      Specified by:
        `getBeanDoesNotContainMethodException` in interface `Log`

    - #### getBeanDoesNotContainMethodException$str

          protected String getBeanDoesNotContainMethodException$str()

    - #### getWrongTypeForMessageParameterException

          public final ConstraintDefinitionException getWrongTypeForMessageParameterException(String constraintName)

      Specified by:
        `getWrongTypeForMessageParameterException` in interface `Log`

    - #### getWrongTypeForMessageParameterException$str

          protected String getWrongTypeForMessageParameterException$str()

    - #### getParameterTypesDoNotMatchException

          public final IllegalArgumentException getParameterTypesDoNotMatchException(String actualType,
                                                                      String expectedType,
                                                                      int index,
                                                                      Member member)

      Specified by:
        `getParameterTypesDoNotMatchException` in interface `Log`

    - #### getParameterTypesDoNotMatchException$str

          protected String getParameterTypesDoNotMatchException$str()

    - #### getAnnotationDoesNotContainAParameterException

          public final ValidationException getAnnotationDoesNotContainAParameterException(String annotationClassName,
                                                                           String parameterName)

      Specified by:
        `getAnnotationDoesNotContainAParameterException` in interface `Log`

    - #### getAnnotationDoesNotContainAParameterException$str

          protected String getAnnotationDoesNotContainAParameterException$str()

    - #### getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                                      String executable)

      Specified by:
        `getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getCrossParameterElementHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### getWrongParameterTypeException

          public final ValidationException getWrongParameterTypeException(String expectedType,
                                                           String currentType)

      Specified by:
        `getWrongParameterTypeException` in interface `Log`

    - #### getWrongParameterTypeException$str

          protected String getWrongParameterTypeException$str()

    - #### getUnableToOpenInputStreamForMappingFileException

          public final ValidationException getUnableToOpenInputStreamForMappingFileException(String mappingFileName)

      Specified by:
        `getUnableToOpenInputStreamForMappingFileException` in interface `Log`

    - #### getUnableToOpenInputStreamForMappingFileException$str

          protected String getUnableToOpenInputStreamForMappingFileException$str()

    - #### getMissingFormatStringInTemplateException

          public final ValidationException getMissingFormatStringInTemplateException(String expression)

      Specified by:
        `getMissingFormatStringInTemplateException` in interface `Log`

    - #### getMissingFormatStringInTemplateException$str

          protected String getMissingFormatStringInTemplateException$str()

    - #### getMinCannotBeNegativeException

          public final IllegalArgumentException getMinCannotBeNegativeException()

      Specified by:
        `getMinCannotBeNegativeException` in interface `Log`

    - #### getMinCannotBeNegativeException$str

          protected String getMinCannotBeNegativeException$str()

    - #### getValidateOnExecutionOnOverriddenOrInterfaceMethodException

          public final ValidationException getValidateOnExecutionOnOverriddenOrInterfaceMethodException(Method m)

      Specified by:
        `getValidateOnExecutionOnOverriddenOrInterfaceMethodException` in interface `Log`

    - #### getValidateOnExecutionOnOverriddenOrInterfaceMethodException$str

          protected String getValidateOnExecutionOnOverriddenOrInterfaceMethodException$str()

    - #### getBeanDoesNotContainConstructorException

          public final ValidationException getBeanDoesNotContainConstructorException(String beanClassName,
                                                                      String parameterTypes)

      Specified by:
        `getBeanDoesNotContainConstructorException` in interface `Log`

    - #### getBeanDoesNotContainConstructorException$str

          protected String getBeanDoesNotContainConstructorException$str()

    - #### getStartIndexCannotBeNegativeException

          public final IllegalArgumentException getStartIndexCannotBeNegativeException(int startIndex)

      Specified by:
        `getStartIndexCannotBeNegativeException` in interface `Log`

    - #### getStartIndexCannotBeNegativeException$str

          protected String getStartIndexCannotBeNegativeException$str()

    - #### getUnableToAccessMemberException

          public final ValidationException getUnableToAccessMemberException(String memberName,
                                                             Exception e)

      Specified by:
        `getUnableToAccessMemberException` in interface `Log`

    - #### getUnableToAccessMemberException$str

          protected String getUnableToAccessMemberException$str()

    - #### getUnableToCreateAnnotationForConfiguredConstraintException

          public final ValidationException getUnableToCreateAnnotationForConfiguredConstraintException(RuntimeException e)

      Specified by:
        `getUnableToCreateAnnotationForConfiguredConstraintException` in interface `Log`

    - #### getUnableToCreateAnnotationForConfiguredConstraintException$str

          protected String getUnableToCreateAnnotationForConfiguredConstraintException$str()

    - #### getCreationOfScriptExecutorFailedException

          public final ConstraintDeclarationException getCreationOfScriptExecutorFailedException(String languageName,
                                                                                  Exception e)

      Specified by:
        `getCreationOfScriptExecutorFailedException` in interface `Log`

    - #### getCreationOfScriptExecutorFailedException$str

          protected String getCreationOfScriptExecutorFailedException$str()

    - #### getBeanDoesNotContainTheFieldException

          public final ValidationException getBeanDoesNotContainTheFieldException(String beanClassName,
                                                                   String fieldName)

      Specified by:
        `getBeanDoesNotContainTheFieldException` in interface `Log`

    - #### getBeanDoesNotContainTheFieldException$str

          protected String getBeanDoesNotContainTheFieldException$str()

    - #### getComposedAndComposingConstraintsHaveDifferentTypesException

          public final ConstraintDefinitionException getComposedAndComposingConstraintsHaveDifferentTypesException(String composedConstraintTypeName,
                                                                                                    String composingConstraintTypeName,
                                                                                                    ConstraintDescriptorImpl.ConstraintType composedConstraintType,
                                                                                                    ConstraintDescriptorImpl.ConstraintType composingConstraintType)

      Specified by:
        `getComposedAndComposingConstraintsHaveDifferentTypesException` in interface `Log`

    - #### getComposedAndComposingConstraintsHaveDifferentTypesException$str

          protected String getComposedAndComposingConstraintsHaveDifferentTypesException$str()

    - #### getPropertyPathMustProvideIndexOrMapKeyException

          public final IllegalArgumentException getPropertyPathMustProvideIndexOrMapKeyException()

      Specified by:
        `getPropertyPathMustProvideIndexOrMapKeyException` in interface `Log`

    - #### getPropertyPathMustProvideIndexOrMapKeyException$str

          protected String getPropertyPathMustProvideIndexOrMapKeyException$str()

    - #### getBeanClassHasAlreadyBeConfiguredInXmlException

          public final ValidationException getBeanClassHasAlreadyBeConfiguredInXmlException(String beanClassName)

      Specified by:
        `getBeanClassHasAlreadyBeConfiguredInXmlException` in interface `Log`

    - #### getBeanClassHasAlreadyBeConfiguredInXmlException$str

          protected String getBeanClassHasAlreadyBeConfiguredInXmlException$str()

    - #### getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException

          public final GroupDefinitionException getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException(String beanClassName)

      Specified by:
        `getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException` in interface `Log`

    - #### getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException$str

          protected String getBeanClassMustBePartOfRedefinedDefaultGroupSequenceException$str()

    - #### getUnableToExpandGroupSequenceException

          public final GroupDefinitionException getUnableToExpandGroupSequenceException()

      Specified by:
        `getUnableToExpandGroupSequenceException` in interface `Log`

    - #### getUnableToExpandGroupSequenceException$str

          protected String getUnableToExpandGroupSequenceException$str()

    - #### getVoidMethodsMustNotBeConstrainedException

          public final ConstraintDeclarationException getVoidMethodsMustNotBeConstrainedException(Member member)

      Specified by:
        `getVoidMethodsMustNotBeConstrainedException` in interface `Log`

    - #### getVoidMethodsMustNotBeConstrainedException$str

          protected String getVoidMethodsMustNotBeConstrainedException$str()

    - #### getInvalidDefaultGroupSequenceDefinitionException

          public final GroupDefinitionException getInvalidDefaultGroupSequenceDefinitionException()

      Specified by:
        `getInvalidDefaultGroupSequenceDefinitionException` in interface `Log`

    - #### getInvalidDefaultGroupSequenceDefinitionException$str

          protected String getInvalidDefaultGroupSequenceDefinitionException$str()

    - #### getMultipleCrossParameterValidatorClassesException

          public final ConstraintDefinitionException getMultipleCrossParameterValidatorClassesException(String constraint)

      Specified by:
        `getMultipleCrossParameterValidatorClassesException` in interface `Log`

    - #### getMultipleCrossParameterValidatorClassesException$str

          protected String getMultipleCrossParameterValidatorClassesException$str()

    - #### getInvalidFormatException

          public final ValidationException getInvalidFormatException(String message,
                                                      IllegalFormatException e)

      Specified by:
        `getInvalidFormatException` in interface `Log`

    - #### getInvalidFormatException$str

          protected String getInvalidFormatException$str()

    - #### getMissingActualTypeArgumentForTypeParameterException

          public final IllegalArgumentException getMissingActualTypeArgumentForTypeParameterException(TypeVariable typeParameter)

      Specified by:
        `getMissingActualTypeArgumentForTypeParameterException` in interface `Log`

    - #### getMissingActualTypeArgumentForTypeParameterException$str

          protected String getMissingActualTypeArgumentForTypeParameterException$str()

    - #### getUnableToInstantiateException

          public final ValidationException getUnableToInstantiateException(String message,
                                                            Class clazz,
                                                            Exception e)

      Specified by:
        `getUnableToInstantiateException` in interface `Log`

    - #### getUnableToInstantiateException2$str

          protected String getUnableToInstantiateException2$str()

    - #### getHasToBeAPrimitiveTypeException

          public final IllegalArgumentException getHasToBeAPrimitiveTypeException(Class clazz)

      Specified by:
        `getHasToBeAPrimitiveTypeException` in interface `Log`

    - #### getHasToBeAPrimitiveTypeException$str

          protected String getHasToBeAPrimitiveTypeException$str()

    - #### getUnableToDetermineSchemaVersionException

          public final ValidationException getUnableToDetermineSchemaVersionException(String file,
                                                                       XMLStreamException e)

      Specified by:
        `getUnableToDetermineSchemaVersionException` in interface `Log`

    - #### getUnableToDetermineSchemaVersionException$str

          protected String getUnableToDetermineSchemaVersionException$str()

    - #### getMaxCannotBeNegativeException

          public final IllegalArgumentException getMaxCannotBeNegativeException()

      Specified by:
        `getMaxCannotBeNegativeException` in interface `Log`

    - #### getMaxCannotBeNegativeException$str

          protected String getMaxCannotBeNegativeException$str()

    - #### getIsNotAnAnnotationException

          public final ValidationException getIsNotAnAnnotationException(String annotationClassName)

      Specified by:
        `getIsNotAnAnnotationException` in interface `Log`

    - #### getIsNotAnAnnotationException$str

          protected String getIsNotAnAnnotationException$str()

    - #### getInvalidReturnTypeException

          public final ValidationException getInvalidReturnTypeException(Class returnType,
                                                          ClassCastException e)

      Specified by:
        `getInvalidReturnTypeException` in interface `Log`

    - #### getInvalidReturnTypeException$str

          protected String getInvalidReturnTypeException$str()

    - #### getElementTypeHasToBeFieldOrMethodException

          public final IllegalArgumentException getElementTypeHasToBeFieldOrMethodException()

      Specified by:
        `getElementTypeHasToBeFieldOrMethodException` in interface `Log`

    - #### getElementTypeHasToBeFieldOrMethodException$str

          protected String getElementTypeHasToBeFieldOrMethodException$str()

    - #### getUnableToInstantiateMessageInterpolatorClassException

          public final ValidationException getUnableToInstantiateMessageInterpolatorClassException(String messageInterpolatorClassName,
                                                                                    Exception e)

      Specified by:
        `getUnableToInstantiateMessageInterpolatorClassException` in interface `Log`

    - #### getUnableToInstantiateMessageInterpolatorClassException$str

          protected String getUnableToInstantiateMessageInterpolatorClassException$str()

    - #### getUnableToLoadClassException

          public final ValidationException getUnableToLoadClassException(String className,
                                                          Exception e)

      Specified by:
        `getUnableToLoadClassException` in interface `Log`

    - #### getUnableToLoadClassException$str

          protected String getUnableToLoadClassException$str()

    - #### ignoringXmlConfiguration

          public final void ignoringXmlConfiguration()

      Specified by:
        `ignoringXmlConfiguration` in interface `Log`

    - #### ignoringXmlConfiguration$str

          protected String ignoringXmlConfiguration$str()

    - #### getScriptMustReturnTrueOrFalseException

          public final ConstraintDeclarationException getScriptMustReturnTrueOrFalseException(String script,
                                                                               Object executionResult,
                                                                               String type)

      Specified by:
        `getScriptMustReturnTrueOrFalseException` in interface `Log`

    - #### getScriptMustReturnTrueOrFalseException3$str

          protected String getScriptMustReturnTrueOrFalseException3$str()

    - #### parsingXMLFile

          public final void parsingXMLFile(String fileName)

      Specified by:
        `parsingXMLFile` in interface `Log`

    - #### parsingXMLFile$str

          protected String parsingXMLFile$str()

    - #### getInvalidBigDecimalFormatException

          public final IllegalArgumentException getInvalidBigDecimalFormatException(String value,
                                                                     NumberFormatException e)

      Specified by:
        `getInvalidBigDecimalFormatException` in interface `Log`

    - #### getInvalidBigDecimalFormatException$str

          protected String getInvalidBigDecimalFormatException$str()

    - #### getGroupConversionOnNonCascadingElementException

          public final ConstraintDeclarationException getGroupConversionOnNonCascadingElementException(String location)

      Specified by:
        `getGroupConversionOnNonCascadingElementException` in interface `Log`

    - #### getGroupConversionOnNonCascadingElementException$str

          protected String getGroupConversionOnNonCascadingElementException$str()

    - #### getNoDefaultGroupInGroupSequenceException

          public final GroupDefinitionException getNoDefaultGroupInGroupSequenceException()

      Specified by:
        `getNoDefaultGroupInGroupSequenceException` in interface `Log`

    - #### getNoDefaultGroupInGroupSequenceException$str

          protected String getNoDefaultGroupInGroupSequenceException$str()

    - #### getMethodHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getMethodHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                       String method)

      Specified by:
        `getMethodHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getMethodHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getMethodHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### unableToCreateSchema

          public final void unableToCreateSchema(String fileName,
                                  String message)

      Specified by:
        `unableToCreateSchema` in interface `Log`

    - #### unableToCreateSchema$str

          protected String unableToCreateSchema$str()

    - #### getInvalidLengthForFractionPartException

          public final IllegalArgumentException getInvalidLengthForFractionPartException()

      Specified by:
        `getInvalidLengthForFractionPartException` in interface `Log`

    - #### getInvalidLengthForFractionPartException$str

          protected String getInvalidLengthForFractionPartException$str()

    - #### getWrongTypeForPayloadParameterException

          public final ConstraintDefinitionException getWrongTypeForPayloadParameterException(String constraintName,
                                                                               ClassCastException e)

      Specified by:
        `getWrongTypeForPayloadParameterException` in interface `Log`

    - #### getWrongTypeForPayloadParameterException$str

          protected String getWrongTypeForPayloadParameterException$str()

    - #### getWrongDefaultValueForGroupsParameterException

          public final ConstraintDefinitionException getWrongDefaultValueForGroupsParameterException(String constraintName)

      Specified by:
        `getWrongDefaultValueForGroupsParameterException` in interface `Log`

    - #### getWrongDefaultValueForGroupsParameterException$str

          protected String getWrongDefaultValueForGroupsParameterException$str()

    - #### getUnableToFindPropertyWithAccessException

          public final ValidationException getUnableToFindPropertyWithAccessException(Class beanClass,
                                                                       String property,
                                                                       ElementType elementType)

      Specified by:
        `getUnableToFindPropertyWithAccessException` in interface `Log`

    - #### getUnableToFindPropertyWithAccessException$str

          protected String getUnableToFindPropertyWithAccessException$str()

    - #### getWrongAttributeTypeForOverriddenConstraintException

          public final ConstraintDefinitionException getWrongAttributeTypeForOverriddenConstraintException(String expectedReturnType,
                                                                                            Class currentReturnType)

      Specified by:
        `getWrongAttributeTypeForOverriddenConstraintException` in interface `Log`

    - #### getWrongAttributeTypeForOverriddenConstraintException$str

          protected String getWrongAttributeTypeForOverriddenConstraintException$str()

    - #### getUnableToFindProviderException

          public final ValidationException getUnableToFindProviderException(Class providerClass)

      Specified by:
        `getUnableToFindProviderException` in interface `Log`

    - #### getUnableToFindProviderException$str

          protected String getUnableToFindProviderException$str()

    - #### getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                            String constructor)

      Specified by:
        `getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getConstructorHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### getUnableToExpandDefaultGroupListException

          public final GroupDefinitionException getUnableToExpandDefaultGroupListException(List defaultGroupList,
                                                                            List groupList)

      Specified by:
        `getUnableToExpandDefaultGroupListException` in interface `Log`

    - #### getUnableToExpandDefaultGroupListException$str

          protected String getUnableToExpandDefaultGroupListException$str()

    - #### getUnableToLoadClassException

          public final ValidationException getUnableToLoadClassException(String className)

      Specified by:
        `getUnableToLoadClassException` in interface `Log`

    - #### getInvalidPropertyPathException

          public final IllegalArgumentException getInvalidPropertyPathException(String propertyName,
                                                                 String beanClassName)

      Specified by:
        `getInvalidPropertyPathException` in interface `Log`

    - #### getInvalidPropertyPathException2$str

          protected String getInvalidPropertyPathException2$str()

    - #### getIsDefinedTwiceInMappingXmlForBeanException

          public final ValidationException getIsDefinedTwiceInMappingXmlForBeanException(String name,
                                                                          String beanClassName)

      Specified by:
        `getIsDefinedTwiceInMappingXmlForBeanException` in interface `Log`

    - #### getIsDefinedTwiceInMappingXmlForBeanException$str

          protected String getIsDefinedTwiceInMappingXmlForBeanException$str()

    - #### usingMessageInterpolator

          public final void usingMessageInterpolator(String messageInterpolatorClassName)

      Specified by:
        `usingMessageInterpolator` in interface `Log`

    - #### usingMessageInterpolator$str

          protected String usingMessageInterpolator$str()

    - #### getGroupHasToBeAnInterfaceException

          public final ValidationException getGroupHasToBeAnInterfaceException(String className)

      Specified by:
        `getGroupHasToBeAnInterfaceException` in interface `Log`

    - #### getGroupHasToBeAnInterfaceException$str

          protected String getGroupHasToBeAnInterfaceException$str()

    - #### getWrongDefaultValueForPayloadParameterException

          public final ConstraintDefinitionException getWrongDefaultValueForPayloadParameterException(String constraintName)

      Specified by:
        `getWrongDefaultValueForPayloadParameterException` in interface `Log`

    - #### getWrongDefaultValueForPayloadParameterException$str

          protected String getWrongDefaultValueForPayloadParameterException$str()

    - #### getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException

          public final ConstraintDefinitionException getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException(String constraint)

      Specified by:
        `getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException` in interface `Log`

    - #### getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException$str

          protected String getValidationAppliesToParameterMustNotBeDefinedForNonGenericAndCrossParameterConstraintException$str()

    - #### getWrongTypeForGroupsParameterException

          public final ConstraintDefinitionException getWrongTypeForGroupsParameterException(String constraintName,
                                                                              ClassCastException e)

      Specified by:
        `getWrongTypeForGroupsParameterException` in interface `Log`

    - #### getWrongTypeForGroupsParameterException$str

          protected String getWrongTypeForGroupsParameterException$str()

    - #### getUnableToLoadConstraintAnnotationClassException

          public final ValidationException getUnableToLoadConstraintAnnotationClassException(String constraintAnnotationClass,
                                                                              Exception e)

      Specified by:
        `getUnableToLoadConstraintAnnotationClassException` in interface `Log`

    - #### getUnableToLoadConstraintAnnotationClassException$str

          protected String getUnableToLoadConstraintAnnotationClassException$str()

    - #### getUnableToInitializeConstraintValidatorException

          public final ValidationException getUnableToInitializeConstraintValidatorException(String validatorClassName,
                                                                              RuntimeException e)

      Specified by:
        `getUnableToInitializeConstraintValidatorException` in interface `Log`

    - #### getUnableToInitializeConstraintValidatorException$str

          protected String getUnableToInitializeConstraintValidatorException$str()

    - #### usingConstraintFactory

          public final void usingConstraintFactory(String constraintFactoryClassName)

      Specified by:
        `usingConstraintFactory` in interface `Log`

    - #### usingConstraintFactory$str

          protected String usingConstraintFactory$str()

    - #### getUnableToFindAnnotationParameterException

          public final ValidationException getUnableToFindAnnotationParameterException(String parameterName,
                                                                        NoSuchMethodException e)

      Specified by:
        `getUnableToFindAnnotationParameterException` in interface `Log`

    - #### getUnableToFindAnnotationParameterException$str

          protected String getUnableToFindAnnotationParameterException$str()

    - #### getCrossParameterConstraintOnMethodWithoutParametersException

          public final ConstraintDeclarationException getCrossParameterConstraintOnMethodWithoutParametersException(String constraint,
                                                                                                     String member)

      Specified by:
        `getCrossParameterConstraintOnMethodWithoutParametersException` in interface `Log`

    - #### getCrossParameterConstraintOnMethodWithoutParametersException$str

          protected String getCrossParameterConstraintOnMethodWithoutParametersException$str()

    - #### getInvalidParameterCountForExecutableException

          public final IllegalArgumentException getInvalidParameterCountForExecutableException(String executable,
                                                                                int expectedParameterCount,
                                                                                int actualParameterCount)

      Specified by:
        `getInvalidParameterCountForExecutableException` in interface `Log`

    - #### getInvalidParameterCountForExecutableException$str

          protected String getInvalidParameterCountForExecutableException$str()

    - #### unknownPropertyInExpressionLanguage

          public final void unknownPropertyInExpressionLanguage(String expression,
                                                 Exception e)

      Specified by:
        `unknownPropertyInExpressionLanguage` in interface `Log`

    - #### unknownPropertyInExpressionLanguage$str

          protected String unknownPropertyInExpressionLanguage$str()

    - #### getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException

          public final ConstraintDeclarationException getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException(Member method1,
                                                                                                                               Member method2)

      Specified by:
        `getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException` in interface `Log`

    - #### getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException$str

          protected String getMethodsFromParallelTypesMustNotDefineGroupConversionsForCascadedReturnValueException$str()

    - #### getInvalidLengthOfParameterMetaDataListException

          public final IllegalArgumentException getInvalidLengthOfParameterMetaDataListException(String executableName,
                                                                                  int nbParameters,
                                                                                  int listSize)

      Specified by:
        `getInvalidLengthOfParameterMetaDataListException` in interface `Log`

    - #### getInvalidLengthOfParameterMetaDataListException$str

          protected String getInvalidLengthOfParameterMetaDataListException$str()

    - #### usingTraversableResolver

          public final void usingTraversableResolver(String traversableResolverClassName)

      Specified by:
        `usingTraversableResolver` in interface `Log`

    - #### usingTraversableResolver$str

          protected String usingTraversableResolver$str()

    - #### getEndIndexCannotBeNegativeException

          public final IllegalArgumentException getEndIndexCannotBeNegativeException(int endIndex)

      Specified by:
        `getEndIndexCannotBeNegativeException` in interface `Log`

    - #### getEndIndexCannotBeNegativeException$str

          protected String getEndIndexCannotBeNegativeException$str()

    - #### getBeanDoesNotContainThePropertyException

          public final ValidationException getBeanDoesNotContainThePropertyException(String beanClassName,
                                                                      String getterName)

      Specified by:
        `getBeanDoesNotContainThePropertyException` in interface `Log`

    - #### getBeanDoesNotContainThePropertyException$str

          protected String getBeanDoesNotContainThePropertyException$str()

    - #### getMemberIsNeitherAFieldNorAMethodException

          public final IllegalArgumentException getMemberIsNeitherAFieldNorAMethodException(Member member)

      Specified by:
        `getMemberIsNeitherAFieldNorAMethodException` in interface `Log`

    - #### getMemberIsNeitherAFieldNorAMethodException$str

          protected String getMemberIsNeitherAFieldNorAMethodException$str()

    - #### version

          public final void version(String version)

      Specified by:
        `version` in interface `Log`

    - #### version$str

          protected String version$str()

    - #### evaluatingExpressionLanguageExpressionCausedException

          public final void evaluatingExpressionLanguageExpressionCausedException(String expression,
                                                                   Exception e)

      Specified by:
        `evaluatingExpressionLanguageExpressionCausedException` in interface `Log`

    - #### evaluatingExpressionLanguageExpressionCausedException$str

          protected String evaluatingExpressionLanguageExpressionCausedException$str()

    - #### getUnableToFindMethodException

          public final IllegalArgumentException getUnableToFindMethodException(Class beanClass,
                                                                String method)

      Specified by:
        `getUnableToFindMethodException` in interface `Log`

    - #### getUnableToFindMethodException$str

          protected String getUnableToFindMethodException$str()

    - #### getUnableToInstantiateException

          public final ValidationException getUnableToInstantiateException(String className,
                                                            Exception e)

      Specified by:
        `getUnableToInstantiateException` in interface `Log`

    - #### getUnableToInstantiateException1$str

          protected String getUnableToInstantiateException1$str()

    - #### getHasToBeABoxedTypeException

          public final IllegalArgumentException getHasToBeABoxedTypeException(Class clazz)

      Specified by:
        `getHasToBeABoxedTypeException` in interface `Log`

    - #### getHasToBeABoxedTypeException$str

          protected String getHasToBeABoxedTypeException$str()

    - #### getNestedParameterException

          public final MessageDescriptorFormatException getNestedParameterException(String messageDescriptor)

      Specified by:
        `getNestedParameterException` in interface `Log`

    - #### getNestedParameterException$str

          protected String getNestedParameterException$str()

    - #### getParameterConstraintsDefinedInMethodsFromParallelTypesException

          public final ConstraintDeclarationException getParameterConstraintsDefinedInMethodsFromParallelTypesException(Member method1,
                                                                                                         Member method2)

      Specified by:
        `getParameterConstraintsDefinedInMethodsFromParallelTypesException` in interface `Log`

    - #### getParameterConstraintsDefinedInMethodsFromParallelTypesException$str

          protected String getParameterConstraintsDefinedInMethodsFromParallelTypesException$str()

    - #### getExceptionOccurredDuringMessageInterpolationException

          public final ValidationException getExceptionOccurredDuringMessageInterpolationException(Exception e)

      Specified by:
        `getExceptionOccurredDuringMessageInterpolationException` in interface `Log`

    - #### getExceptionOccurredDuringMessageInterpolationException$str

          protected String getExceptionOccurredDuringMessageInterpolationException$str()

    - #### getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException

          public final ConstraintDefinitionException getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException(String constraint)

      Specified by:
        `getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException` in interface `Log`

    - #### getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException$str

          protected String getGenericAndCrossParameterConstraintDoesNotDefineValidationAppliesToParameterException$str()

    - #### getUnableToInstantiateException

          public final ValidationException getUnableToInstantiateException(Class clazz,
                                                            Exception e)

      Specified by:
        `getUnableToInstantiateException` in interface `Log`

    - #### getErrorDuringCallOfTraversableResolverIsReachableException

          public final ValidationException getErrorDuringCallOfTraversableResolverIsReachableException(RuntimeException e)

      Specified by:
        `getErrorDuringCallOfTraversableResolverIsReachableException` in interface `Log`

    - #### getErrorDuringCallOfTraversableResolverIsReachableException$str

          protected String getErrorDuringCallOfTraversableResolverIsReachableException$str()

    - #### getInvalidIndexException

          public final IndexOutOfBoundsException getInvalidIndexException(String lowerBound,
                                                           String upperBound)

      Specified by:
        `getInvalidIndexException` in interface `Log`

    - #### getInvalidIndexException$str

          protected String getInvalidIndexException$str()

    - #### getConstraintParametersCannotStartWithValidException

          public final ConstraintDefinitionException getConstraintParametersCannotStartWithValidException()

      Specified by:
        `getConstraintParametersCannotStartWithValidException` in interface `Log`

    - #### getConstraintParametersCannotStartWithValidException$str

          protected String getConstraintParametersCannotStartWithValidException$str()

    - #### getMethodOrConstructorNotDefinedByValidatedTypeException

          public final IllegalArgumentException getMethodOrConstructorNotDefinedByValidatedTypeException(String validatedTypeName,
                                                                                          Member member)

      Specified by:
        `getMethodOrConstructorNotDefinedByValidatedTypeException` in interface `Log`

    - #### getMethodOrConstructorNotDefinedByValidatedTypeException$str

          protected String getMethodOrConstructorNotDefinedByValidatedTypeException$str()

    - #### getConstrainedElementConfiguredMultipleTimesException

          public final ValidationException getConstrainedElementConfiguredMultipleTimesException(String location)

      Specified by:
        `getConstrainedElementConfiguredMultipleTimesException` in interface `Log`

    - #### getConstrainedElementConfiguredMultipleTimesException$str

          protected String getConstrainedElementConfiguredMultipleTimesException$str()

    - #### getImplicitConstraintTargetInAmbiguousConfigurationException

          public final ConstraintDeclarationException getImplicitConstraintTargetInAmbiguousConfigurationException(String constraint)

      Specified by:
        `getImplicitConstraintTargetInAmbiguousConfigurationException` in interface `Log`

    - #### getImplicitConstraintTargetInAmbiguousConfigurationException$str

          protected String getImplicitConstraintTargetInAmbiguousConfigurationException$str()

    - #### getWrongPayloadClassException

          public final ValidationException getWrongPayloadClassException(String payloadClassName)

      Specified by:
        `getWrongPayloadClassException` in interface `Log`

    - #### getWrongPayloadClassException$str

          protected String getWrongPayloadClassException$str()

    - #### unableToCloseXMLFileInputStream

          public final void unableToCloseXMLFileInputStream(String fileName)

      Specified by:
        `unableToCloseXMLFileInputStream` in interface `Log`

    - #### unableToCloseXMLFileInputStream$str

          protected String unableToCloseXMLFileInputStream$str()

    - #### getInvalidJavaIdentifierException

          public final IllegalArgumentException getInvalidJavaIdentifierException(String identifier)

      Specified by:
        `getInvalidJavaIdentifierException` in interface `Log`

    - #### getInvalidJavaIdentifierException$str

          protected String getInvalidJavaIdentifierException$str()

    - #### getUnableToInstantiateTraversableResolverClassException

          public final ValidationException getUnableToInstantiateTraversableResolverClassException(String traversableResolverClassName,
                                                                                    Exception e)

      Specified by:
        `getUnableToInstantiateTraversableResolverClassException` in interface `Log`

    - #### getUnableToInstantiateTraversableResolverClassException$str

          protected String getUnableToInstantiateTraversableResolverClassException$str()

    - #### getUnableToParseValidationXmlFileException

          public final ValidationException getUnableToParseValidationXmlFileException(String file,
                                                                       JAXBException e)

      Specified by:
        `getUnableToParseValidationXmlFileException` in interface `Log`

    - #### getUnableToParseValidationXmlFileException$str

          protected String getUnableToParseValidationXmlFileException$str()

    - #### getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                            String executable)

      Specified by:
        `getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getReturnValueHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### getOverridingConstraintDefinitionsInMultipleMappingFilesException

          public final ValidationException getOverridingConstraintDefinitionsInMultipleMappingFilesException(String constraintClass)

      Specified by:
        `getOverridingConstraintDefinitionsInMultipleMappingFilesException` in interface `Log`

    - #### getOverridingConstraintDefinitionsInMultipleMappingFilesException$str

          protected String getOverridingConstraintDefinitionsInMultipleMappingFilesException$str()

    - #### getParameterNodeAddedForNonCrossParameterConstraintException

          public final IllegalStateException getParameterNodeAddedForNonCrossParameterConstraintException(Path path)

      Specified by:
        `getParameterNodeAddedForNonCrossParameterConstraintException` in interface `Log`

    - #### getParameterNodeAddedForNonCrossParameterConstraintException$str

          protected String getParameterNodeAddedForNonCrossParameterConstraintException$str()

    - #### getScriptMustReturnTrueOrFalseException

          public final ConstraintDeclarationException getScriptMustReturnTrueOrFalseException(String script)

      Specified by:
        `getScriptMustReturnTrueOrFalseException` in interface `Log`

    - #### getScriptMustReturnTrueOrFalseException1$str

          protected String getScriptMustReturnTrueOrFalseException1$str()

    - #### getTreatCheckAsIsNotADigitNorALetterException

          public final IllegalArgumentException getTreatCheckAsIsNotADigitNorALetterException(int weight)

      Specified by:
        `getTreatCheckAsIsNotADigitNorALetterException` in interface `Log`

    - #### getTreatCheckAsIsNotADigitNorALetterException$str

          protected String getTreatCheckAsIsNotADigitNorALetterException$str()

    - #### usingParameterNameProvider

          public final void usingParameterNameProvider(String parameterNameProviderClassName)

      Specified by:
        `usingParameterNameProvider` in interface `Log`

    - #### usingParameterNameProvider$str

          protected String usingParameterNameProvider$str()

    - #### getUnsupportedSchemaVersionException

          public final ValidationException getUnsupportedSchemaVersionException(String file,
                                                                 String version)

      Specified by:
        `getUnsupportedSchemaVersionException` in interface `Log`

    - #### getUnsupportedSchemaVersionException$str

          protected String getUnsupportedSchemaVersionException$str()

    - #### getUnableToNarrowNodeTypeException

          public final ClassCastException getUnableToNarrowNodeTypeException(String actualDescriptorType,
                                                              ElementKind kind,
                                                              String expectedDescriptorType)

      Specified by:
        `getUnableToNarrowNodeTypeException` in interface `Log`

    - #### getUnableToNarrowNodeTypeException$str

          protected String getUnableToNarrowNodeTypeException$str()

    - #### getAtLeastOneCustomMessageMustBeCreatedException

          public final ValidationException getAtLeastOneCustomMessageMustBeCreatedException()

      Specified by:
        `getAtLeastOneCustomMessageMustBeCreatedException` in interface `Log`

    - #### getAtLeastOneCustomMessageMustBeCreatedException$str

          protected String getAtLeastOneCustomMessageMustBeCreatedException$str()

    - #### getValidationAppliesToParameterMustHaveDefaultValueImplicitException

          public final ConstraintDefinitionException getValidationAppliesToParameterMustHaveDefaultValueImplicitException(String constraint)

      Specified by:
        `getValidationAppliesToParameterMustHaveDefaultValueImplicitException` in interface `Log`

    - #### getValidationAppliesToParameterMustHaveDefaultValueImplicitException$str

          protected String getValidationAppliesToParameterMustHaveDefaultValueImplicitException$str()

    - #### getReservedParameterNamesException

          public final ValidationException getReservedParameterNamesException(String messageParameterName,
                                                               String groupsParameterName,
                                                               String payloadParameterName)

      Specified by:
        `getReservedParameterNamesException` in interface `Log`

    - #### getReservedParameterNamesException$str

          protected String getReservedParameterNamesException$str()

    - #### getSequenceDefinitionsNotAllowedException

          public final GroupDefinitionException getSequenceDefinitionsNotAllowedException()

      Specified by:
        `getSequenceDefinitionsNotAllowedException` in interface `Log`

    - #### getSequenceDefinitionsNotAllowedException$str

          protected String getSequenceDefinitionsNotAllowedException$str()

    - #### getConstraintFactoryMustNotReturnNullException

          public final ValidationException getConstraintFactoryMustNotReturnNullException(String validatorClassName)

      Specified by:
        `getConstraintFactoryMustNotReturnNullException` in interface `Log`

    - #### getConstraintFactoryMustNotReturnNullException$str

          protected String getConstraintFactoryMustNotReturnNullException$str()

    - #### getWrongDefaultGroupSequenceProviderTypeException

          public final GroupDefinitionException getWrongDefaultGroupSequenceProviderTypeException(String beanClassName)

      Specified by:
        `getWrongDefaultGroupSequenceProviderTypeException` in interface `Log`

    - #### getWrongDefaultGroupSequenceProviderTypeException$str

          protected String getWrongDefaultGroupSequenceProviderTypeException$str()

    - #### getInvalidExecutableParameterIndexException

          public final IllegalArgumentException getInvalidExecutableParameterIndexException(String executable,
                                                                             int index)

      Specified by:
        `getInvalidExecutableParameterIndexException` in interface `Log`

    - #### getInvalidExecutableParameterIndexException$str

          protected String getInvalidExecutableParameterIndexException$str()

    - #### getUnableToInstantiateValidationProviderClassException

          public final ValidationException getUnableToInstantiateValidationProviderClassException(String providerClassName,
                                                                                   Exception e)

      Specified by:
        `getUnableToInstantiateValidationProviderClassException` in interface `Log`

    - #### getUnableToInstantiateValidationProviderClassException$str

          protected String getUnableToInstantiateValidationProviderClassException$str()

    - #### getNoUnwrapperFoundForTypeException

          public final ValidationException getNoUnwrapperFoundForTypeException(String typeName)

      Specified by:
        `getNoUnwrapperFoundForTypeException` in interface `Log`

    - #### getNoUnwrapperFoundForTypeException$str

          protected String getNoUnwrapperFoundForTypeException$str()

    - #### getOverriddenConstraintAttributeNotFoundException

          public final ConstraintDefinitionException getOverriddenConstraintAttributeNotFoundException(String attributeName)

      Specified by:
        `getOverriddenConstraintAttributeNotFoundException` in interface `Log`

    - #### getOverriddenConstraintAttributeNotFoundException$str

          protected String getOverriddenConstraintAttributeNotFoundException$str()

    - #### getExceptionDuringIsValidCallException

          public final ValidationException getExceptionDuringIsValidCallException(RuntimeException e)

      Specified by:
        `getExceptionDuringIsValidCallException` in interface `Log`

    - #### getExceptionDuringIsValidCallException$str

          protected String getExceptionDuringIsValidCallException$str()

    - #### getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException

          public final ConstraintDefinitionException getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException(String constraint)

      Specified by:
        `getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException` in interface `Log`

    - #### getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException$str

          protected String getValidationAppliesToParameterMustHaveReturnTypeConstraintTargetException$str()

    - #### getInvalidNumberFormatException

          public final ValidationException getInvalidNumberFormatException(String formatName,
                                                            NumberFormatException e)

      Specified by:
        `getInvalidNumberFormatException` in interface `Log`

    - #### getInvalidNumberFormatException$str

          protected String getInvalidNumberFormatException$str()

    - #### getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException

          public final ConstraintDeclarationException getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException(String constraint,
                                                                                                               ConstraintTarget target)

      Specified by:
        `getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException` in interface `Log`

    - #### getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException$str

          protected String getParametersOrReturnValueConstraintTargetGivenAtNonExecutableException$str()

    - #### getUnexpectedParameterValueException

          public final ValidationException getUnexpectedParameterValueException()

      Specified by:
        `getUnexpectedParameterValueException` in interface `Log`

    - #### getUnexpectedParameterValueException$str

          protected String getUnexpectedParameterValueException$str()

    - #### getGroupConversionForSequenceException

          public final ConstraintDeclarationException getGroupConversionForSequenceException(Class from)

      Specified by:
        `getGroupConversionForSequenceException` in interface `Log`

    - #### getGroupConversionForSequenceException$str

          protected String getGroupConversionForSequenceException$str()

    - #### getInvalidRangeException

          public final IllegalArgumentException getInvalidRangeException(int startIndex,
                                                          int endIndex)

      Specified by:
        `getInvalidRangeException` in interface `Log`

    - #### getInvalidRangeException$str

          protected String getInvalidRangeException$str()

    - #### getCrossParameterConstraintHasNoValidatorException

          public final ConstraintDefinitionException getCrossParameterConstraintHasNoValidatorException(String constraint)

      Specified by:
        `getCrossParameterConstraintHasNoValidatorException` in interface `Log`

    - #### getCrossParameterConstraintHasNoValidatorException$str

          protected String getCrossParameterConstraintHasNoValidatorException$str()

    - #### getIllegalArgumentException

          public final IllegalArgumentException getIllegalArgumentException(String message)

      Specified by:
        `getIllegalArgumentException` in interface `Log`

    - #### getIllegalArgumentException$str

          protected String getIllegalArgumentException$str()

    - #### getNullIsAnInvalidTypeForAConstraintValidatorException

          public final ValidationException getNullIsAnInvalidTypeForAConstraintValidatorException()

      Specified by:
        `getNullIsAnInvalidTypeForAConstraintValidatorException` in interface `Log`

    - #### getNullIsAnInvalidTypeForAConstraintValidatorException$str

          protected String getNullIsAnInvalidTypeForAConstraintValidatorException$str()

    - #### getConstraintWithoutMandatoryParameterException

          public final ConstraintDefinitionException getConstraintWithoutMandatoryParameterException(String parameterName,
                                                                                      String constraintName)

      Specified by:
        `getConstraintWithoutMandatoryParameterException` in interface `Log`

    - #### getConstraintWithoutMandatoryParameterException$str

          protected String getConstraintWithoutMandatoryParameterException$str()

    - #### getUnexpectedParameterValueException

          public final ValidationException getUnexpectedParameterValueException(ClassCastException e)

      Specified by:
        `getUnexpectedParameterValueException` in interface `Log`

    - #### getErrorParsingMappingFileException

          public final ValidationException getErrorParsingMappingFileException(JAXBException e)

      Specified by:
        `getErrorParsingMappingFileException` in interface `Log`

    - #### getErrorParsingMappingFileException$str

          protected String getErrorParsingMappingFileException$str()

    - #### getMoreThanOneValidatorFoundForTypeException

          public final UnexpectedTypeException getMoreThanOneValidatorFoundForTypeException(Type type,
                                                                             String validatorClasses)

      Specified by:
        `getMoreThanOneValidatorFoundForTypeException` in interface `Log`

    - #### getMoreThanOneValidatorFoundForTypeException$str

          protected String getMoreThanOneValidatorFoundForTypeException$str()

    - #### getInvalidCheckDigitException

          public final IllegalArgumentException getInvalidCheckDigitException(int startIndex,
                                                               int endIndex)

      Specified by:
        `getInvalidCheckDigitException` in interface `Log`

    - #### getInvalidCheckDigitException$str

          protected String getInvalidCheckDigitException$str()

    - #### getParameterHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getParameterHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                          String executable,
                                                                                          int parameterIndex)

      Specified by:
        `getParameterHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getParameterHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getParameterHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### getUnableToParsePropertyPathException

          public final IllegalArgumentException getUnableToParsePropertyPathException(String propertyPath)

      Specified by:
        `getUnableToParsePropertyPathException` in interface `Log`

    - #### getUnableToParsePropertyPathException$str

          protected String getUnableToParsePropertyPathException$str()

    - #### getNonTerminatedParameterException

          public final MessageDescriptorFormatException getNonTerminatedParameterException(String messageDescriptor,
                                                                            char character)

      Specified by:
        `getNonTerminatedParameterException` in interface `Log`

    - #### getNonTerminatedParameterException$str

          protected String getNonTerminatedParameterException$str()

    - #### getLengthCannotBeNegativeException

          public final IllegalArgumentException getLengthCannotBeNegativeException()

      Specified by:
        `getLengthCannotBeNegativeException` in interface `Log`

    - #### getLengthCannotBeNegativeException$str

          protected String getLengthCannotBeNegativeException$str()

    - #### getNoValueProvidedForAnnotationParameterException

          public final IllegalArgumentException getNoValueProvidedForAnnotationParameterException(String parameterName,
                                                                                   String annotation)

      Specified by:
        `getNoValueProvidedForAnnotationParameterException` in interface `Log`

    - #### getNoValueProvidedForAnnotationParameterException$str

          protected String getNoValueProvidedForAnnotationParameterException$str()

    - #### getInvalidRegularExpressionException

          public final IllegalArgumentException getInvalidRegularExpressionException(PatternSyntaxException e)

      Specified by:
        `getInvalidRegularExpressionException` in interface `Log`

    - #### getInvalidRegularExpressionException$str

          protected String getInvalidRegularExpressionException$str()

    - #### getAtLeastOneGroupHasToBeSpecifiedException

          public final IllegalArgumentException getAtLeastOneGroupHasToBeSpecifiedException()

      Specified by:
        `getAtLeastOneGroupHasToBeSpecifiedException` in interface `Log`

    - #### getAtLeastOneGroupHasToBeSpecifiedException$str

          protected String getAtLeastOneGroupHasToBeSpecifiedException$str()

    - #### getErrorDuringScriptExecutionException

          public final ConstraintDeclarationException getErrorDuringScriptExecutionException(String script,
                                                                              Exception e)

      Specified by:
        `getErrorDuringScriptExecutionException` in interface `Log`

    - #### getErrorDuringScriptExecutionException$str

          protected String getErrorDuringScriptExecutionException$str()

    - #### getWeightCannotBeNegativeException

          public final IllegalArgumentException getWeightCannotBeNegativeException(int weight)

      Specified by:
        `getWeightCannotBeNegativeException` in interface `Log`

    - #### getWeightCannotBeNegativeException$str

          protected String getWeightCannotBeNegativeException$str()

    - #### getInconsistentFailFastConfigurationException

          public final ValidationException getInconsistentFailFastConfigurationException()

      Specified by:
        `getInconsistentFailFastConfigurationException` in interface `Log`

    - #### getInconsistentFailFastConfigurationException$str

          protected String getInconsistentFailFastConfigurationException$str()

    - #### getInconsistentConfigurationException

          public final ValidationException getInconsistentConfigurationException()

      Specified by:
        `getInconsistentConfigurationException` in interface `Log`

    - #### getInconsistentConfigurationException$str

          protected String getInconsistentConfigurationException$str()

    - #### usingValidationProvider

          public final void usingValidationProvider(String validationProviderClassName)

      Specified by:
        `usingValidationProvider` in interface `Log`

    - #### usingValidationProvider$str

          protected String usingValidationProvider$str()

    - #### getTryingToInstantiateAnnotationWithUnknownParametersException

          public final RuntimeException getTryingToInstantiateAnnotationWithUnknownParametersException(Class annotationType,
                                                                                        Set unknownParameters)

      Specified by:
        `getTryingToInstantiateAnnotationWithUnknownParametersException` in interface `Log`

    - #### getTryingToInstantiateAnnotationWithUnknownParametersException$str

          protected String getTryingToInstantiateAnnotationWithUnknownParametersException$str()

    - #### getMultiplierCannotBeNegativeException

          public final IllegalArgumentException getMultiplierCannotBeNegativeException(int multiplier)

      Specified by:
        `getMultiplierCannotBeNegativeException` in interface `Log`

    - #### getMultiplierCannotBeNegativeException$str

          protected String getMultiplierCannotBeNegativeException$str()

    - #### getConstructorIsDefinedTwiceInMappingXmlForBeanException

          public final ValidationException getConstructorIsDefinedTwiceInMappingXmlForBeanException(String name,
                                                                                     String beanClassName)

      Specified by:
        `getConstructorIsDefinedTwiceInMappingXmlForBeanException` in interface `Log`

    - #### getConstructorIsDefinedTwiceInMappingXmlForBeanException$str

          protected String getConstructorIsDefinedTwiceInMappingXmlForBeanException$str()

    - #### getIsNotAConstraintValidatorClassException

          public final ValidationException getIsNotAConstraintValidatorClassException(Class validatorClass)

      Specified by:
        `getIsNotAConstraintValidatorClassException` in interface `Log`

    - #### getIsNotAConstraintValidatorClassException$str

          protected String getIsNotAConstraintValidatorClassException$str()

    - #### getInvalidPropertyPathException

          public final IllegalArgumentException getInvalidPropertyPathException()

      Specified by:
        `getInvalidPropertyPathException` in interface `Log`

    - #### getInvalidPropertyPathException0$str

          protected String getInvalidPropertyPathException0$str()

    - #### getUnableToRetrieveAnnotationParameterValueException

          public final ValidationException getUnableToRetrieveAnnotationParameterValueException(Exception e)

      Specified by:
        `getUnableToRetrieveAnnotationParameterValueException` in interface `Log`

    - #### getUnableToRetrieveAnnotationParameterValueException$str

          protected String getUnableToRetrieveAnnotationParameterValueException$str()

    - #### getUnableToInstantiateConstraintFactoryClassException

          public final ValidationException getUnableToInstantiateConstraintFactoryClassException(String constraintFactoryClassName,
                                                                                  ValidationException e)

      Specified by:
        `getUnableToInstantiateConstraintFactoryClassException` in interface `Log`

    - #### getUnableToInstantiateConstraintFactoryClassException$str

          protected String getUnableToInstantiateConstraintFactoryClassException$str()

    - #### getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException

          public final ValidationException getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException(String beanClassName,
                                                                                         String propertyName)

      Specified by:
        `getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException` in interface `Log`

    - #### getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException$str

          protected String getPropertyHasAlreadyBeConfiguredViaProgrammaticApiException$str()

    - #### getMethodIsDefinedTwiceInMappingXmlForBeanException

          public final ValidationException getMethodIsDefinedTwiceInMappingXmlForBeanException(String name,
                                                                                String beanClassName)

      Specified by:
        `getMethodIsDefinedTwiceInMappingXmlForBeanException` in interface `Log`

    - #### getMethodIsDefinedTwiceInMappingXmlForBeanException$str

          protected String getMethodIsDefinedTwiceInMappingXmlForBeanException$str()

    - #### getCyclicDependencyInGroupsDefinitionException

          public final GroupDefinitionException getCyclicDependencyInGroupsDefinitionException()

      Specified by:
        `getCyclicDependencyInGroupsDefinitionException` in interface `Log`

    - #### getCyclicDependencyInGroupsDefinitionException$str

          protected String getCyclicDependencyInGroupsDefinitionException$str()

    - #### getInvalidLengthForIntegerPartException

          public final IllegalArgumentException getInvalidLengthForIntegerPartException()

      Specified by:
        `getInvalidLengthForIntegerPartException` in interface `Log`

    - #### getInvalidLengthForIntegerPartException$str

          protected String getInvalidLengthForIntegerPartException$str()

    - #### getMultipleValidatorsForSameTypeException

          public final UnexpectedTypeException getMultipleValidatorsForSameTypeException(String constraint,
                                                                          String type)

      Specified by:
        `getMultipleValidatorsForSameTypeException` in interface `Log`

    - #### getMultipleValidatorsForSameTypeException$str

          protected String getMultipleValidatorsForSameTypeException$str()

    - #### getTypeNotSupportedForUnwrappingException

          public final ValidationException getTypeNotSupportedForUnwrappingException(Class type)

      Specified by:
        `getTypeNotSupportedForUnwrappingException` in interface `Log`

    - #### getTypeNotSupportedForUnwrappingException$str

          protected String getTypeNotSupportedForUnwrappingException$str()

    - #### getUnableToFindAnnotationConstraintsException

          public final ValidationException getUnableToFindAnnotationConstraintsException(Class annotationClass)

      Specified by:
        `getUnableToFindAnnotationConstraintsException` in interface `Log`

    - #### getUnableToFindAnnotationConstraintsException$str

          protected String getUnableToFindAnnotationConstraintsException$str()

    - #### getNoValidatorFoundForTypeException

          public final UnexpectedTypeException getNoValidatorFoundForTypeException(String className)

      Specified by:
        `getNoValidatorFoundForTypeException` in interface `Log`

    - #### getNoValidatorFoundForTypeException$str

          protected String getNoValidatorFoundForTypeException$str()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved